Subject: Re: [RFC] New driver API to speed up small packets xmits

From: Gagan Arneja <[email-masked]>
Date: Thu, 10 May 2007 13:25:19 -0700

> For example:
> my biggest challenge with the e1000 was just hacking up the DMA setup
> path - i seem to get better numbers if i dont kick the DMA until i stash
> all the packets on the ring first etc. It seemed counter-intuitive.

That seems to make sense. The rings are(?) in system memory and you can 
write to them faster. Kicking the DMA needs a transaction on the PCI 
bus, which can be painfully slow...

--
Gagan